---
title: RTCStatsIceCandidatePairState
slug: Web/API/RTCStatsIceCandidatePairState
tags:
  - API
  - Candidate
  - CandidatePair
  - Check List
  - Enum
  - ICE
  - RTCIceCandidatePair
  - RTCStatsIceCandidatePairState
  - Reference
  - Type
  - WebRTC
  - WebRTC API
  - state
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The <code><strong>RTCStatsIceCandidatePairState</strong></code> enumerated type represents the set of string values which are possible for the {{domxref("RTCIceCandidatePairStats")}} object's {{domxref("RTCIceCandidatePairStats.state", "state")}} property.</span> This represents the state of this candidate pair within the {{Glossary("ICE")}} check list for the {{domxref("RTCPeerConnection")}}.</p>

<p>See {{SectionOnPage("/en-US/docs/Web/API/RTCIceCandidatePairStats/state", "ICE check lists", "code")}} for further information about how ICE check lsits work.</p>

<h2 id="Values">Values</h2>

<dl>
 <dt><code>failed</code></dt>
 <dd>A check for this pair has been performed but failed. A failure can occur either because no response was received or because the response indicated that an unrecoverable error occurred.</dd>
 <dt><code>frozen</code></dt>
 <dd>No check has been performed yet for this candidate pair, and performing the check is blocked until another check is successful. Once that check has succeeded, this pair will unfreeze and move into the <code>waiting</code> state.</dd>
 <dt><code>in-progress</code></dt>
 <dd>A check has been initiated for this pair, but the check's transaction is still in progress.</dd>
 <dt><code>succeeded</code></dt>
 <dd>A check for this pair has been completed successfully.</dd>
 <dt><code>waiting</code></dt>
 <dd>This pair has not yet been checked, but the check can be performed as soon as this pair is the highest priority pair remaining in the <code>waiting</code> state.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#rtcstatsicecandidatepairstate-enum', 'RTCStatsIceCandidatePairState') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCStatsIceCandidatePairState")}}</p>
